MSWriteParserInternal::Font Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MSWriteParserInternal::Font Struct Reference

`#include <MSWrite.h>`

Inheritance diagram for MSWriteParserInternal::Font:

## Public Member Functions
| Font ()
Public Member Functions inherited from WPSFont
| WPSFont ()
| constructor More...
virtual | ~WPSFont ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | isSet () const
| accessor More...
bool | operator== (WPSFont const &ft) const
| operator== More...
bool | operator!= (WPSFont const &ft) const
| operator!= More...

## Public Attributes
uint32_t | m_fcFirst
uint32_t | m_fcLim
bool | m_special
bool | m_footnote
bool | m_annotation
libwps_tools_win::Font::Type | m_encoding
Public Attributes inherited from WPSFont
librevenge::RVNGString | m_name
| font name More...
double | m_size
| font size More...
uint32_t | m_attributes
| the font attributes defined as a set of bits More...
double | m_spacing
| font spacing More...
WPSColor | m_color
| the font color More...
int | m_languageId
| the language (simplified locale name id) if known More...
std::string | m_extra
| public field use to add a message when the font is printed More...

## Additional Inherited Members
Static Public Member Functions inherited from WPSFont
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt) More...

## Constructor & Destructor Documentation

MSWriteParserInternal::Font::Font | ( |  | ) |
| inline

## Member Data Documentation

bool MSWriteParserInternal::Font::m_annotation

Referenced by DosWordParser::readCHP().

libwps_tools_win::Font::Type MSWriteParserInternal::Font::m_encoding

Referenced by DosWordParser::readCHP(), and MSWriteParser::readCHP().

uint32_t MSWriteParserInternal::Font::m_fcFirst

Referenced by DosWordParser::readCHP(), and MSWriteParser::readCHP().

uint32_t MSWriteParserInternal::Font::m_fcLim

Referenced by DosWordParser::readCHP(), and MSWriteParser::readCHP().

bool MSWriteParserInternal::Font::m_footnote

Referenced by DosWordParser::readCHP().

bool MSWriteParserInternal::Font::m_special

Referenced by DosWordParser::readCHP(), and MSWriteParser::readCHP().

The documentation for this struct was generated from the following file:

- MSWrite.h